package com.swarmcast.fec.io;

import java.util.*;

/**
 * This event signifies that a new packet was recieved and written to disk.
 */
public class PacketWrittenEvent extends FECIOEvent {

    int blockNum,stripeNum,blockPacketCount;

    public PacketWrittenEvent(Object source, int blockNum, int stripeNum,
                              int blockPacketCount) {
	super(source);
        this.blockNum = blockNum;
        this.stripeNum = stripeNum;
        this.blockPacketCount = blockPacketCount;
    }

    public int getBlockNum() {
        return blockNum;
    }

    public int getStripeNum() {
        return stripeNum;
    }

    public int getBlockPacketCount() {
        return blockPacketCount;
    }
}
	
