package com.swarmcast.fec.io;

import java.io.IOException;

public class DuplicatePacketException extends IOException {
    
    int blockNum, stripeNum, packetIndex;

    public DuplicatePacketException(int blockNum, int stripeNum, 
                                    int packetIndex) {
        super();

        this.blockNum = blockNum;
        this.stripeNum = stripeNum;
        this.packetIndex = packetIndex;
    }

    public DuplicatePacketException(String msg, int blockNum, int stripeNum,
                                    int packetIndex) {
        super(msg);

        this.blockNum = blockNum;
        this.stripeNum = stripeNum;
        this.packetIndex = packetIndex;
    }

    public int getBlockNum() {
        return blockNum;
    }

    public int getStripeNum() {
        return stripeNum;
    }

    public int getPacketIndex() {
        return packetIndex;
    }
}
